
-- Default Settings
Settings = Turbine.PluginData.Load(Turbine.DataScope.Character, "RaidHealz_Settings");

if Settings == nil then
	Settings = {};

	Settings.PartyVitalsVisible = true;
	Settings.PlayerVitalsVisible = true;
	Settings.TargetVitalsVisible = true;

	Settings.MainWindowX = Turbine.UI.Display:GetWidth() / 2;
	Settings.MainWindowY = Turbine.UI.Display:GetHeight() / 2;

	Settings.GridLayout3 = {1, 3}; -- [1x3 grid]
	Settings.GridLayout6 = {1, 6}; -- [2x3 grid]
	Settings.GridLayout12 = {2, 6}; -- [4x3 grid]
	Settings.GridLayout18 = {3, 6}; -- [3x6 grid]
	Settings.GridLayout24 = {4, 6}; -- [4x6 grid]
	Settings.GridDistance = 10;

	Settings.FillMode = 1; -- [1 = left to right, 2 = bottom to top]

	Settings.PlayerName = {};
	Settings.PlayerName.MaxCharacters = 0; -- [0 = unlimited]
	Settings.PlayerName.Font = Turbine.UI.Lotro.Font.Verdana16;
	Settings.PlayerName.AlertString = "";
	Settings.PlayerName.AlertFont = Turbine.UI.Lotro.Font.Verdana22; 
	Settings.PlayerName.AlertColor = Turbine.UI.Color.Red;
	Settings.PlayerName.AlertDuration = 3;
	Settings.PlayerName.DefaultColor = Turbine.UI.Color.Gold;
	Settings.PlayerName.ClassColorsVisible = true;
	Settings.PlayerName.ClassColors = {};
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning] = Turbine.UI.Color.Brown;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar] = Turbine.UI.Color.DarkSlateGray;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain] = Turbine.UI.Color.Gold;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion] = Turbine.UI.Color.LightBlue;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian] = Turbine.UI.Color.MistyRose;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter] = Turbine.UI.Color.DarkGreen;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Turbine.UI.Color.DarkRed;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel] = Turbine.UI.Color.Pink;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Turbine.UI.Color.Cyan;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden] = Turbine.UI.Color.DarkOrange;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Turbine.UI.Color.Blue;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler] = Turbine.UI.Color.Gold;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver] = Turbine.UI.Color.Red;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker] = Turbine.UI.Color.DarkSlateGray;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader] = Turbine.UI.Color.Purple;
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver] = Turbine.UI.Color.Green;
	Settings.PlayerName.Outline = Turbine.UI.FontStyle.Outline;
	Settings.PlayerName.OutlineColor = Turbine.UI.Color.Black;
	Settings.PlayerName.Alignment = Turbine.UI.ContentAlignment.TopLeft;

	Settings.ClassIcon = {};
	Settings.ClassIcon.Visible = true;
	Settings.ClassIcon.Size = 1; -- [1 = small, 2 = big]
	Settings.ClassIcon.Position = 2; -- [1 = TopLeft, 2 = TopRight, 3 = BottomLeft, 4 = BottomRight]

	Settings.LeaderIcon = {};
	Settings.LeaderIcon.Visible = false;
	Settings.LeaderIcon.Position = 1; -- [1 = TopLeft, 2 = TopRight, 3 = BottomLeft, 4 = BottomRight]

	Settings.MoraleBar = {};
	Settings.MoraleBar.Width = 150;
	Settings.MoraleBar.Height = 40;
	Settings.MoraleBar.BackgroundColor = Turbine.UI.Color(0.8, 0.3, 0.3, 0.3); -- semi transparent grey background
	Settings.MoraleBar.BackgroundHighlightVisible = true;
	Settings.MoraleBar.BackgroundHighlight1 = Turbine.UI.Color(0.8, 0.3, 0.3, 0.3);
	Settings.MoraleBar.BackgroundHighlight2 = Turbine.UI.Color.White;--Turbine.UI.Color(0.8, 0.3, 0.3, 0.3);
	Settings.MoraleBar.BackgroundDead = Turbine.UI.Color.Black;
	Settings.MoraleBar.BackgroundLinkLost = Turbine.UI.Color.DarkSlateGray;
	Settings.MoraleBar.DefaultNormalColor = Turbine.UI.Color(0.5, 0, 0.4, 0);
	Settings.MoraleBar.DefaultHighlight1 = Turbine.UI.Color.Green;
	Settings.MoraleBar.DefaultHighlight2 = Turbine.UI.Color.Red;
	Settings.MoraleBar.Treshold1 = 0.95;
	Settings.MoraleBar.Treshold2 = 0.33;
	Settings.MoraleBar.BubbleVisible = true;
	Settings.MoraleBar.BubbleColor = Turbine.UI.Color.Purple;
	Settings.MoraleBar.DreadVisible = true;
	Settings.MoraleBar.DreadColor = Turbine.UI.Color.DarkOrange;
	Settings.MoraleBar.ClassColorsVisible = false;
	Settings.MoraleBar.ClassColors = {};
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Beorning] = Turbine.UI.Color.Brown;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Burglar] = Turbine.UI.Color.DarkSlateGray;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Captain] = Turbine.UI.Color.Gold;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Champion] = Turbine.UI.Color.LightBlue;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Guardian] = Turbine.UI.Color.MistyRose;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Hunter] = Turbine.UI.Color.DarkGreen;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Turbine.UI.Color.DarkRed;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Minstrel] = Turbine.UI.Color.Pink;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Turbine.UI.Color.Cyan;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Warden] = Turbine.UI.Color.DarkOrange;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Turbine.UI.Color.Blue;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Defiler] = Turbine.UI.Color.Gold;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Reaver] = Turbine.UI.Color.Red;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Stalker] = Turbine.UI.Color.DarkSlateGray;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.WarLeader] = Turbine.UI.Color.Purple;
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Weaver] = Turbine.UI.Color.Green;

	Settings.MoraleLabel = {};
	Settings.MoraleLabel.Visible = true;
	Settings.MoraleLabel.Mode = 2; -- [1 = x/y, 2 = -x]
	Settings.MoraleLabel.Short = true;
	Settings.MoraleLabel.Font = Turbine.UI.Lotro.Font.Verdana12;
	Settings.MoraleLabel.FontSize = 1;
	Settings.MoraleLabel.FontColor = Turbine.UI.Color.White;
	Settings.MoraleLabel.FontColorHighlight1 = Turbine.UI.Color.White;
	Settings.MoraleLabel.FontColorHighlight2 = Turbine.UI.Color.White;
	Settings.MoraleLabel.Outline = true;
	Settings.MoraleLabel.OutlineColor = Turbine.UI.Color.Black;
	Settings.MoraleLabel.Alignment = Turbine.UI.ContentAlignment.MiddleCenter;

	Settings.PowerBar = {};
	Settings.PowerBar.Visible = true;
	Settings.PowerBar.Width = 150;
	Settings.PowerBar.Height = 5;
	Settings.PowerBar.BackgroundColor = Turbine.UI.Color(0,0,0,0);
	Settings.PowerBar.BackgroundHighlightVisible = false;
	Settings.PowerBar.BackgroundHighlight1 = Turbine.UI.Color(0,0,0,0);
	Settings.PowerBar.BackgroundHighlight2 = Turbine.UI.Color(0,0,0,0);
	Settings.PowerBar.Color = Turbine.UI.Color(0.7, 0, 0, 0.8);
	Settings.PowerBar.Highlight1 = Turbine.UI.Color.Cyan;
	Settings.PowerBar.Highlight2 = Turbine.UI.Color.Purple;
	Settings.PowerBar.Treshold1 = 0.5;
	Settings.PowerBar.Treshold2 = 0.25;

	Settings.EffectIcons = {};
	Settings.EffectIcons.EffectStrings = {"Do Not Fall"};
	Settings.EffectIcons.Visible = true;
	Settings.EffectIcons.Number = #Settings.EffectIcons.EffectStrings;
	Settings.EffectIcons.Size = 20;
	Settings.EffectIcons.Position = 8; -- [1 = TopLeft, 2 = TopCenter, 3 = TopRight, 4 = MiddleLeft, 5 = MiddleCenter, 6 = MiddleRight, 7 = BottomLeft, 8 = BottomCenter, 9 = BottomRight]
	Settings.EffectIcons.Countdown = true;
	Settings.EffectIcons.CountdownStyle = 1; -- [1 = number, 2 = clock]
	Settings.EffectIcons.RemoveableVisible = true;
	Settings.EffectIcons.RemoveableDisease = Turbine.UI.Color.Yellow;
	Settings.EffectIcons.RemoveableFear = Turbine.UI.Color.Purple;
	Settings.EffectIcons.RemoveablePoison = Turbine.UI.Color.Green;
	Settings.EffectIcons.RemoveableWound = Turbine.UI.Color.Red;
	Settings.EffectIcons.RemoveableCorruption = Turbine.UI.Color.LightBlue;
	Settings.EffectIcons.RemoveableSize = 16;
	Settings.EffectIcons.RemoveablePosition = 8; -- [1 = TopLeft, 2 = TopCenter, 3 = TopRight, 4 = MiddleLeft, 5 = MiddleCenter, 6 = MiddleRight, 7 = BottomLeft, 8 = BottomCenter, 9 = BottomRight]
	Settings.EffectIcons.RemoveableCountdown = true;
	Settings.EffectIcons.RemoveableCountdownStyle = 1; -- [1 = number, 2 = clock]
	
else
	
	Settings.PlayerName.AlertColor = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.AlertColor))
	Settings.PlayerName.DefaultColor = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.DefaultColor))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader]))
	Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver] = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver]))
	
	Settings.PlayerName.OutlineColor = Turbine.UI.Color(returnColorComponents(Settings.PlayerName.OutlineColor))
	
	Settings.MoraleBar.BackgroundColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundColor))
	Settings.MoraleBar.BackgroundHighlight1 = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundHighlight1))
	Settings.MoraleBar.BackgroundHighlight2 = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundHighlight2))
	Settings.MoraleBar.BackgroundDead = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundDead))
	Settings.MoraleBar.BackgroundLinkLost = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BackgroundLinkLost))
	Settings.MoraleBar.DefaultNormalColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultNormalColor))
	Settings.MoraleBar.DefaultHighlight1 = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultHighlight1))
	Settings.MoraleBar.DefaultHighlight2 = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DefaultHighlight2))
	Settings.MoraleBar.BubbleColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.BubbleColor))
	Settings.MoraleBar.DreadColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleBar.DreadColor))
	
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Beorning] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Beorning]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Burglar] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Burglar]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Captain] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Captain]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Champion] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Champion]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Guardian] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Guardian]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Hunter] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Hunter]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.LoreMaster] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.LoreMaster]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Minstrel] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Minstrel]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.RuneKeeper] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.RuneKeeper]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Warden] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Warden]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.BlackArrow] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.BlackArrow]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Defiler] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Defiler]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Reaver] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Reaver]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Stalker] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Stalker]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.WarLeader] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.WarLeader]
	Settings.MoraleBar.ClassColors[Turbine.Gameplay.Class.Weaver] = Settings.PlayerName.ClassColors[Turbine.Gameplay.Class.Weaver]
	
	Settings.MoraleLabel.FontColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColor))
	Settings.MoraleLabel.FontColorHighlight1 = Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColorHighlight1))
	Settings.MoraleLabel.FontColorHighlight2 = Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.FontColorHighlight2))
	Settings.MoraleLabel.OutlineColor = Turbine.UI.Color(returnColorComponents(Settings.MoraleLabel.OutlineColor))
	
	Settings.PowerBar.BackgroundColor = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.BackgroundColor))
	Settings.PowerBar.BackgroundHighlight1 = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.BackgroundHighlight1))
	Settings.PowerBar.BackgroundHighlight2 = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.BackgroundHighlight2))
	Settings.PowerBar.Color = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Color))
	Settings.PowerBar.Highlight1 = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Highlight1))
	Settings.PowerBar.Highlight2 = Turbine.UI.Color(returnColorComponents(Settings.PowerBar.Highlight2))
	
end